%define _oldname deskbar-applet
%define _name gnome-deskbar

Name: gnome-applets-extra-deskbar
Version: 0.2
Release: alt1

Summary: A GNOME panel applet that lets you search with various search engines.
Summary (ru_RU.KOI8-R):    GNOME    .
Group: Graphical desktop/GNOME
License: GPL
Url: http://browserbookapp.sourceforge.net/deskbar.html

Source: %url/%_oldname-%version.tar.gz
Patch1: %name-%version-alt-quickfix-gconf.patch
Patch2: %name-%version-alt-reorder-searches.patch

BuildArch: noarch

Requires: gnome-desktop
Requires: python-module-pygnome python-module-pygnome-applet
Requires: python-module-pygnome-bonobo python-module-pygnome-gconf

%description
This applet lets you use various search engines right from your GNOME
panel. Local search with GNOME search tool us supported as well as
querying several search engines in the Net. The program is in the early
stage of development and for the moment is quite limited in functionality
and adjustability.

%description -l ru_RU.KOI8-R
         GNOME.
        GNOME ,
      .   ݣ 
,    ,     
   ,   .

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_oldname-%version
%patch1
%patch2
%__subst "s|/usr/libexec/%_oldname\.py|%_libexecdir/%_name\.py|" *.server
%__subst 's|gnome\.applet|gnomeapplet|' *.py
%__mv -f LICENCE LICENSE

%install
%__install -pD -m755 %_oldname.py %buildroot%_libexecdir/%_name.py
%__mkdir_p %buildroot%_libdir/bonobo/servers/
%__cp *.server %buildroot%_libdir/bonobo/servers/

%files
%_libexecdir/*
%_libdir/bonobo/servers/*
%doc LICENSE README CHANGELOG

%changelog
* Tue Mar 8 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.2-alt1
- Initial Sisyphus package.

